(function ($) {

	function encodeBackTo(route, params)
	{
		if (params === undefined) {
			params = [];
		}

		return btoa(JSON.stringify([route, params])).replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, '');
	}

	$('#ssoRelogin').find('a[href]').on('click', function (evt) {
		evt.preventDefault();
		var url = this.href;
		var resumeTokenMeta = document.querySelector('head meta[name="X-ResumeToken"]');
		var resumeToken = (resumeTokenMeta) ? resumeTokenMeta.content : null;
		var usernameMeta = document.querySelector('head meta[name="X-Username"]');
		var username = (usernameMeta) ? usernameMeta.content : null;

		var prefix = (url.includes('?')) ? '&' : '?';
		url += prefix + 'backTo=' + encodeBackTo('app_login_plugin_ccm19_singlesignon_relogin_done');

		if (resumeToken) {
			url += '&resumeToken=' + encodeURIComponent(resumeToken);
		}
		if (username) {
			url += '&switchTo=' + username;
		}

		window.open(url, '', 'popup,scrollbars');
	});
})($);
