<?php

namespace App\Exception;

use Exception;
use Throwable;

class ApiKeyAlreadyExistsException extends Exception
{
	public function __construct(string $apiKey, int $code = 0, Throwable $previous = null)
	{
		parent::__construct("User with API-Key $apiKey already exists.", $code, $previous);
	}
}
