<?php

namespace App\Model;

use App\Component\Config\RepositoryInterface;

class UserMigrationState extends MigrationStateBase
{
	/** @var RepositoryInterface|null $repository */
	protected static $repository = null;

	/** @var bool $userSpecificRepository */
	protected static $userSpecificRepository = true;

	/** @var bool $accountSingleton */
	protected static $accountSingleton = true;

	/**
	 * @param string $id
	 */
	protected function __construct(string $id)
	{
		parent::__construct($id);
	}
}
