(function ($) {

	function updateLoginHint () {
		var username = this.value;
		$('#ssoProviders').find('a[href]').each(function () {
			var href = this.href;
			href = href.replace(/([?&])loginHint=[^&]*(&?)/, function (match, delim1, delim2) {
				if (delim2) {
					return delim1;
				} else {
					return '';
				}
			});
			if (username) {
				if (href.indexOf('?') === -1) {
					this.href = href + '?loginHint=' + encodeURIComponent(username);
				} else {
					this.href = href + '&loginHint=' + encodeURIComponent(username);
				}
			} else {
				this.href = href;
			}
		});
	}

	var usernameInput = document.getElementById('username');
	usernameInput.addEventListener('change', updateLoginHint);
	$(function () {
		updateLoginHint.call(usernameInput);
	});
})($);
