<?php

namespace App\Component\Cron\Job;

use App\Component\Cron\DomainJob;
use App\Utils;
use App\Event\StatisticsCronJobEvent;
use Symfony\Component\HttpFoundation\Request;

class StatisticsUpdate extends DomainJob
{
	public function __construct()
	{
		parent::__construct(60*15);
	}

	public function run(Request $request): void
	{
		$this->touchLastExecutionTimestamp();

		Utils::dispatchEvent(StatisticsCronJobEvent::NAME, new StatisticsCronJobEvent(true));
	}

}
