<?php

namespace App\Component\HttpFoundation;

use Symfony\Component\HttpFoundation\Response;

class ImageResponse extends Response
{
	public function __construct($content = '', int $status = 200, array $headers = [],$imgType="image/png")
	{
		parent::__construct($content, $status, $headers);
		$this->headers->set('Content-Type', $imgType);
	}
}
