<?php

namespace App\Component\Tcf\v2\Model\Translation;

class DataCategory extends Model
{
	protected static $repositoryKey = 'dataCategories';

	public function getName(): string
	{
		return $this->get('name');
	}

	public function getDescription(): string
	{
		return $this->get('description');
	}

	public function __toString(): string
	{
		return sprintf('[TCFv2 Data Category Translation %1 %2: "%3"]', $this->getLanguage(), $this->getId(), $this->getName());
	}
}
