<?php
namespace App\Event;

use App\Component\Menu\Manager;
use Symfony\Contracts\EventDispatcher\Event;

final class MenuGenerationEvent extends Event
{
	const NAME = 'ccm19.menu.generation';

	/** @var Manager $menuManager */
	private $menuManager;

	public function __construct(Manager $menuManager)
	{
		$this->menuManager = $menuManager;
	}

	public function getMenuManager(): Manager
	{
		return $this->menuManager;
	}
}
